Package org.apache.tomcat.util.scan

## Class JarFactory

- java.lang.Object
- - org.apache.tomcat.util.scan.JarFactory

    public class JarFactory
    extends java.lang.Object

Provide a mechanism to obtain objects that implement `Jar`.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.net.URL` `getJarEntryURL​(java.net.URL baseUrl, java.lang.String entryName)`
`static Jar` `newInstance​(java.net.URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newInstance

    public static Jar newInstance​(java.net.URL url)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### getJarEntryURL

    public static java.net.URL getJarEntryURL​(java.net.URL baseUrl,
                                              java.lang.String entryName)
                                       throws java.net.MalformedURLException

Throws:
  `java.net.MalformedURLException`